package com.ltgk.port.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 渔港设施设备提报状态
 *
 * @author Qi ChengBin
 * @date 2025/01/15 18:19:36
 */
@Getter
public enum PortEquRepairStateEnums implements CodeDescEnumInterface {
    REPORTING(0, "已提报"),
    REPAIRED(1, "已维修"),
    CONFIRMED(2, "确认通过"),
    UNCONFIRMED(3, "确认未通过");

    private final Integer code;
    private final String desc;

    PortEquRepairStateEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
